Debian Bug report logs - #622164
ITA: cuetools -- tools for manipulating CUE/TOC files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Patrick Matthäi <pmatthaei@debian.org>

Date: Sun, 10 Apr 2011 17:39:39 UTC

Owned by: GUO Yixuan <culu.gyx@gmail.com>

Severity: normal

Merged with 639684

Fixed in version cuetools/1.4.0-2

Done: Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622164; Package wnpp. (Sun, 10 Apr 2011 17:39:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Matthäi <pmatthaei@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 10 Apr 2011 17:39:42 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: cuetools -- tools for manipulating CUE/TOC files
Date: Sun, 10 Apr 2011 18:58:14 +0200
Package: wnpp
Severity: normal

I request an adopter for the cuetools package.

---------------------------------------------------------------------------------------
You can get the full subversion history and data with:
svn co --username guest --password guest -r 2649 https://svn.linux-dev.org/svn/pkg/ pkg
---------------------------------------------------------------------------------------

The package description is:
 cuetools is a set of programs that are useful for manipulating CUE sheet
 (cue) files and Table of Contents (toc) files. CUE and TOC files are a way
 to represent the layout of a data or audio CD in a machine-readable ASCII
 format. The package includes these utilities:
 .
    - cueconvert: convert between CUE and TOC formats
    - cuebreakpoints: print the breakpoints from a CUE or TOC file
    - cueprint: print disc and track information for a CUE or TOC file
    - cuetag: tag files based on CUE/TOC file information
 .
 Probably the most popular use is to split a large audio file into many
 small files according to a CUE or TOC, for example:
 .
 cuebreakpoints disc.cue | shnsplit disc.wav




Forcibly Merged 622164 639684. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 05 Sep 2011 06:12:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: cuetools -- tools for manipulating CUE/TOC files' from 'RFA: cuetools -- tools for manipulating CUE/TOC files' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 05 Sep 2011 06:12:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'O: cuetools -- tools for manipulating CUE/TOC files' from 'ITA: cuetools -- tools for manipulating CUE/TOC files' Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Sun, 20 May 2012 16:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622164; Package wnpp. (Sun, 10 Nov 2013 04:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to GUO Yixuan <culu.gyx@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 10 Nov 2013 04:51:04 GMT) Full text and rfc822 format available.

Message #16 received at 622164@bugs.debian.org (full text, mbox):

From: GUO Yixuan <culu.gyx@gmail.com>
To: Patrick Matthäi <pmatthaei@debian.org>
Cc: onlyjob@debian.org, 622164@bugs.debian.org
Subject: Re: RFA: cuetools -- tools for manipulating CUE/TOC files
Date: Sat, 9 Nov 2013 23:48:07 -0500
[Message part 1 (text/plain, inline)]
Control: retitle -1 ITA: cuetools -- tools for manipulating CUE/TOC files
Control: owner -1 !

Hello,

On Sun, Apr 10, 2011 at 06:58:14PM +0200, Patrick Matthäi wrote:
> Package: wnpp
> Severity: normal
> 
> I request an adopter for the cuetools package.
> 
> ---------------------------------------------------------------------------------------
> You can get the full subversion history and data with:
> svn co --username guest --password guest -r 2649 https://svn.linux-dev.org/svn/pkg/ pkg
> ---------------------------------------------------------------------------------------
> 
> The package description is:
>  cuetools is a set of programs that are useful for manipulating CUE sheet
>  (cue) files and Table of Contents (toc) files. CUE and TOC files are a way
>  to represent the layout of a data or audio CD in a machine-readable ASCII
>  format. The package includes these utilities:
>  .
>     - cueconvert: convert between CUE and TOC formats
>     - cuebreakpoints: print the breakpoints from a CUE or TOC file
>     - cueprint: print disc and track information for a CUE or TOC file
>     - cuetag: tag files based on CUE/TOC file information
>  .
>  Probably the most popular use is to split a large audio file into many
>  small files according to a CUE or TOC, for example:
>  .
>  cuebreakpoints disc.cue | shnsplit disc.wav

I wish to adopt this package.

To Dmitry Smirnov: I noticed your recent uploads and conversion to git
repo, I think I can try to make that repo more suitable for use with
git-buildpackage (by adding upstream and pristine-tar), as a first step.
Thank you for your QA works!

Cheers,

GUO Yixuan
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: cuetools -- tools for manipulating CUE/TOC files' from 'O: cuetools -- tools for manipulating CUE/TOC files' Request was from GUO Yixuan <culu.gyx@gmail.com> to 622164-submit@bugs.debian.org. (Sun, 10 Nov 2013 04:51:04 GMT) Full text and rfc822 format available.

Owner recorded as GUO Yixuan <culu.gyx@gmail.com>. Request was from GUO Yixuan <culu.gyx@gmail.com> to 622164-submit@bugs.debian.org. (Sun, 10 Nov 2013 04:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, GUO Yixuan <culu.gyx@gmail.com>:
Bug#622164; Package wnpp. (Sun, 10 Nov 2013 05:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, GUO Yixuan <culu.gyx@gmail.com>. (Sun, 10 Nov 2013 05:24:05 GMT) Full text and rfc822 format available.

Message #25 received at 622164@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: GUO Yixuan <culu.gyx@gmail.com>, 622164@bugs.debian.org
Subject: Re: RFA: cuetools -- tools for manipulating CUE/TOC files
Date: Sun, 10 Nov 2013 16:20:17 +1100
On Sun, 10 Nov 2013 15:48:07 GUO Yixuan wrote:
> I wish to adopt this package.

Thank you for your intention to take care of this package.


> To Dmitry Smirnov: I noticed your recent uploads and conversion to git
> repo, I think I can try to make that repo more suitable for use with
> git-buildpackage (by adding upstream and pristine-tar), as a first step.

Repository is already quite suitable for git-buildpackage provided
that you have orig.tar in tarball-dir and the following in your
.gbp.conf:

    [git-buildpackage]
    tarball-dir = ../

Personally I have concerns for repository size and for risk of
having non-DFSG files in upstream branch.  Although in this particular
case the above concerns are admittedly weak I prefer to keep my
upstream branch local and do not push it to public repository.

I'm yet to learn why git-buildpackage fans merge upstream files to
"master" branch so often -- I think it is quite inconvenient and I
don't know what it is good for...

Anyway you're the boss, so fell free to do as you like with care. ;)


> Thank you for your QA works!

Thanks for your kind words. :)

-- 
Cheers,
 Dmitry Smirnov.

---

Platitude: an idea (a) that is admitted to be true by everyone, and (b)
that is not true.
        -- H. L. Mencken




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#622164; Package wnpp. (Sun, 10 Nov 2013 05:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to GUO Yixuan <culu.gyx@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 10 Nov 2013 05:54:09 GMT) Full text and rfc822 format available.

Message #30 received at 622164@bugs.debian.org (full text, mbox):

From: GUO Yixuan <culu.gyx@gmail.com>
To: Dmitry Smirnov <onlyjob@debian.org>, 622164@bugs.debian.org
Subject: Re: Bug#622164: RFA: cuetools -- tools for manipulating CUE/TOC files
Date: Sun, 10 Nov 2013 00:45:04 -0500
On Sun, Nov 10, 2013 at 04:20:17PM +1100, Dmitry Smirnov wrote:
> On Sun, 10 Nov 2013 15:48:07 GUO Yixuan wrote:
> > I wish to adopt this package.
> 
> Thank you for your intention to take care of this package.
> 
> 
> > To Dmitry Smirnov: I noticed your recent uploads and conversion to git
> > repo, I think I can try to make that repo more suitable for use with
> > git-buildpackage (by adding upstream and pristine-tar), as a first step.
> 
> Repository is already quite suitable for git-buildpackage provided
> that you have orig.tar in tarball-dir and the following in your
> .gbp.conf:
> 
>     [git-buildpackage]
>     tarball-dir = ../
> 
> Personally I have concerns for repository size and for risk of
> having non-DFSG files in upstream branch.  Although in this particular
> case the above concerns are admittedly weak I prefer to keep my
> upstream branch local and do not push it to public repository.

Yes, these are quite reasonable arguments, I'll try to learn about this
style of git-buildpackage.

> I'm yet to learn why git-buildpackage fans merge upstream files to
> "master" branch so often -- I think it is quite inconvenient and I
> don't know what it is good for...
> 
> Anyway you're the boss, so fell free to do as you like with care. ;)

Thank you!

Then I'm going to ask for access to collab-maint. (I think it's ok to
use collab-maint even if I'm the only maintainer, is that right?)

Cheers,

GUO Yixuan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, GUO Yixuan <culu.gyx@gmail.com>:
Bug#622164; Package wnpp. (Sun, 10 Nov 2013 06:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, GUO Yixuan <culu.gyx@gmail.com>. (Sun, 10 Nov 2013 06:03:04 GMT) Full text and rfc822 format available.

Message #35 received at 622164@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: GUO Yixuan <culu.gyx@gmail.com>
Cc: 622164@bugs.debian.org
Subject: Re: Bug#622164: RFA: cuetools -- tools for manipulating CUE/TOC files
Date: Sun, 10 Nov 2013 17:01:02 +1100
On Sun, 10 Nov 2013 16:45:04 GUO Yixuan wrote:
> Then I'm going to ask for access to collab-maint. (I think it's ok to
> use collab-maint even if I'm the only maintainer, is that right?)

Of course. Not only it is OK but also it's a best practice as all
Debian Developers and most maintainers would be able to easily become
you co-maintainers. :)

-- 
Cheers,
 Dmitry Smirnov.



Reply sent to Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>:
You have taken responsibility. (Sun, 12 Jan 2014 00:06:05 GMT) Full text and rfc822 format available.

Notification sent to Patrick Matthäi <pmatthaei@debian.org>:
Bug acknowledged by developer. (Sun, 12 Jan 2014 00:06:05 GMT) Full text and rfc822 format available.

Message #40 received at 622164-close@bugs.debian.org (full text, mbox):

From: Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
To: 622164-close@bugs.debian.org
Subject: Bug#622164: fixed in cuetools 1.4.0-2
Date: Sun, 12 Jan 2014 00:03:20 +0000
Source: cuetools
Source-Version: 1.4.0-2

We believe that the bug you reported is fixed in the latest version of
cuetools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 622164@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guo Yixuan (郭溢譞) <culu.gyx@gmail.com> (supplier of updated cuetools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 11 Jan 2014 14:52:42 -0500
Source: cuetools
Binary: cuetools
Architecture: source amd64
Version: 1.4.0-2
Distribution: unstable
Urgency: medium
Maintainer: Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
Changed-By: Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
Description: 
 cuetools   - tools for manipulating CUE/TOC files
Closes: 622164 639684 719559
Changes: 
 cuetools (1.4.0-2) unstable; urgency=medium
 .
   * New maintainer. (Closes: #622164, #639684)
   * Cherry-picked a patch from upstream to fix handling of spaces
     in file names. (Closes: #719559)
   * Bumped standards version, no changes needed.
   * Added vorbis-tools to recommends for vorbiscomment.
   * Added a README.source.
Checksums-Sha1: 
 fb1d64392a53401eea3afe4dc86e05fd0d1a05e7 1871 cuetools_1.4.0-2.dsc
 6113235adc9d737a4a06eaae0bfe6b6efa095471 6644 cuetools_1.4.0-2.debian.tar.xz
 02e63296ba76643019b59038cc370fd6ed4ba30d 49708 cuetools_1.4.0-2_amd64.deb
Checksums-Sha256: 
 c132ba43e422ca3d61222c5cbb3759692481afd5f2eb278b428e9a13e631bf73 1871 cuetools_1.4.0-2.dsc
 0f1ace3a8a1614f64acd192afc0ae15ef76e60a927172f775e619c12c1784124 6644 cuetools_1.4.0-2.debian.tar.xz
 763e902758e4a5cd21789f6f6f017aa71ca7a8098fa6da9e1fbfef8b109fe61e 49708 cuetools_1.4.0-2_amd64.deb
Files: 
 6652d53bd0a35cc2fdf7f2580db05312 1871 utils extra cuetools_1.4.0-2.dsc
 dff967233254adb3ee740f95e8d69e35 6644 utils extra cuetools_1.4.0-2.debian.tar.xz
 2eb9d1711a561d752f8687b669041c97 49708 utils extra cuetools_1.4.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJS0dd5AAoJEFK2u9lTlo0baKUP/0CtsOpIKseGw5lovJpb9qE7
wm5BTnoGn2kTzMms1bRpkEyG/DDUTzyCi8JtDsUWvz7wZkiQVWnr/IAd2KHSu/j/
bjBdCyQM5nFrhkQcFnvGtrc+7ve5/cMPHPGIhWt5XC8oqs2I4XZJK7rDr5zVeRpQ
0oysU7G1EMrC2BE03eZXmmc16L2DTivLABurnD+k+nu+CXcF1a4GucGHSS2uy81D
SbDsPBIWBc9Sr09LuKpxPKVrja9y2kAupmdCsx3AMeReGVLp+fKGSOjw+3YDLqSI
r/wD9PRe9ZAxV4Hld0t5KPkqPy6BUlbNQTD0WgU02KJMO3piaKX4YGNjW3KyRmtn
r1hSx1yXCccA5XjiggO6RsxueL91TZFaf+X9ZAYxHOBXdB+Pdk5bBmXJ3TMzhUTX
hm1PEPBxZwzZsTWEbR+5TForqrrP4cgk0Ti8HxmhaEdO2tedjmi3psgnV+Q9NSQt
XTZMf4Btg8JUEIvPy8tegw+HvYcjyBq3VKEZ+SvS8slXEUlajPgpYdSGKw1LtvTK
MtLC0aHsTAyb6mfSIWndMXcfDwohMp1wAv/4VYfIdmHJAG57DDRXj3Mi1UtOTEjW
iXp4Qe7SbO/yRogL2n7J6lv+r9oyIsBv5WkQazHcVX5IhXBTBO8bc56lVKdjoBkn
zcgkFuWhyHIoI4zzJR90
=U07G
-----END PGP SIGNATURE-----




Reply sent to Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>:
You have taken responsibility. (Sun, 12 Jan 2014 00:06:06 GMT) Full text and rfc822 format available.

Notification sent to Dejan Ribič <dejan.ribic@gmail.com>:
Bug acknowledged by developer. (Sun, 12 Jan 2014 00:06:06 GMT) Full text and rfc822 format available.

Message #45 received at 639684-close@bugs.debian.org (full text, mbox):

From: Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
To: 639684-close@bugs.debian.org
Subject: Bug#639684: fixed in cuetools 1.4.0-2
Date: Sun, 12 Jan 2014 00:03:20 +0000
Source: cuetools
Source-Version: 1.4.0-2

We believe that the bug you reported is fixed in the latest version of
cuetools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639684@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guo Yixuan (郭溢譞) <culu.gyx@gmail.com> (supplier of updated cuetools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 11 Jan 2014 14:52:42 -0500
Source: cuetools
Binary: cuetools
Architecture: source amd64
Version: 1.4.0-2
Distribution: unstable
Urgency: medium
Maintainer: Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
Changed-By: Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
Description: 
 cuetools   - tools for manipulating CUE/TOC files
Closes: 622164 639684 719559
Changes: 
 cuetools (1.4.0-2) unstable; urgency=medium
 .
   * New maintainer. (Closes: #622164, #639684)
   * Cherry-picked a patch from upstream to fix handling of spaces
     in file names. (Closes: #719559)
   * Bumped standards version, no changes needed.
   * Added vorbis-tools to recommends for vorbiscomment.
   * Added a README.source.
Checksums-Sha1: 
 fb1d64392a53401eea3afe4dc86e05fd0d1a05e7 1871 cuetools_1.4.0-2.dsc
 6113235adc9d737a4a06eaae0bfe6b6efa095471 6644 cuetools_1.4.0-2.debian.tar.xz
 02e63296ba76643019b59038cc370fd6ed4ba30d 49708 cuetools_1.4.0-2_amd64.deb
Checksums-Sha256: 
 c132ba43e422ca3d61222c5cbb3759692481afd5f2eb278b428e9a13e631bf73 1871 cuetools_1.4.0-2.dsc
 0f1ace3a8a1614f64acd192afc0ae15ef76e60a927172f775e619c12c1784124 6644 cuetools_1.4.0-2.debian.tar.xz
 763e902758e4a5cd21789f6f6f017aa71ca7a8098fa6da9e1fbfef8b109fe61e 49708 cuetools_1.4.0-2_amd64.deb
Files: 
 6652d53bd0a35cc2fdf7f2580db05312 1871 utils extra cuetools_1.4.0-2.dsc
 dff967233254adb3ee740f95e8d69e35 6644 utils extra cuetools_1.4.0-2.debian.tar.xz
 2eb9d1711a561d752f8687b669041c97 49708 utils extra cuetools_1.4.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJS0dd5AAoJEFK2u9lTlo0baKUP/0CtsOpIKseGw5lovJpb9qE7
wm5BTnoGn2kTzMms1bRpkEyG/DDUTzyCi8JtDsUWvz7wZkiQVWnr/IAd2KHSu/j/
bjBdCyQM5nFrhkQcFnvGtrc+7ve5/cMPHPGIhWt5XC8oqs2I4XZJK7rDr5zVeRpQ
0oysU7G1EMrC2BE03eZXmmc16L2DTivLABurnD+k+nu+CXcF1a4GucGHSS2uy81D
SbDsPBIWBc9Sr09LuKpxPKVrja9y2kAupmdCsx3AMeReGVLp+fKGSOjw+3YDLqSI
r/wD9PRe9ZAxV4Hld0t5KPkqPy6BUlbNQTD0WgU02KJMO3piaKX4YGNjW3KyRmtn
r1hSx1yXCccA5XjiggO6RsxueL91TZFaf+X9ZAYxHOBXdB+Pdk5bBmXJ3TMzhUTX
hm1PEPBxZwzZsTWEbR+5TForqrrP4cgk0Ti8HxmhaEdO2tedjmi3psgnV+Q9NSQt
XTZMf4Btg8JUEIvPy8tegw+HvYcjyBq3VKEZ+SvS8slXEUlajPgpYdSGKw1LtvTK
MtLC0aHsTAyb6mfSIWndMXcfDwohMp1wAv/4VYfIdmHJAG57DDRXj3Mi1UtOTEjW
iXp4Qe7SbO/yRogL2n7J6lv+r9oyIsBv5WkQazHcVX5IhXBTBO8bc56lVKdjoBkn
zcgkFuWhyHIoI4zzJR90
=U07G
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Feb 2014 07:32:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:34:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.